#include <iostream>

using namespace std;

int main()
{
    int a,b,c,v,k,x,y;
    cin >> v >> k;
    char A[v][k];
    x = 0;
    y = 0;
    for(int i = 0 ; i < v; i++){
        for(int j = 0 ; j < k; j++){
            cin >> A[i][j];
        }
    }
    cout << -1;       
    
    

    return 0;
}